Bug 848912 - perl warnings: defined(%hash) is deprecated; $* is no longer supported
perl warnings: defined(%hash) is deprecated; $* is no longer supported
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: latex2html (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
: 672083 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 15:08 EDT by Robert K. Moniot
Modified: 2013-07-02 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 672083
Environment:
Last Closed: 2012-11-21 09:44:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert K. Moniot 2012-08-16 15:08:39 EDT
+++ This bug was initially created as a clone of Bug #672083 +++

Created attachment 474854 [details]
Session capture showing "latex sample.tex; latex2html sample.tex" results.

Description of problem: Running latex2html on any LaTeX document generates the following perl messages:

defined(%hash) is deprecated at /usr/bin/latex2html line 514.
        (Maybe you should just omit the defined()?)
defined(%hash) is deprecated at /usr/bin/latex2html line 2086.
        (Maybe you should just omit the defined()?)
defined(%hash) is deprecated at /usr/bin/latex2html line 9087.
        (Maybe you should just omit the defined()?)
$* is no longer supported at /usr/bin/latex2html line 10588.
This is LaTeX2HTML Version 2008 (1.71)
by Nikos Drakos, Computer Based Learning Unit, University of Leeds.

Often the conversion of latex to html succeeds anyway.  However, I believe that under some circumstances it fails.  (I don't have any demos showing that.  Perhaps someone else can provide.  That is why I put the severity low.)

Version-Release number of selected component (if applicable):

latex2html-2008-4.fc13.noarch

How reproducible: always


Steps to Reproduce:
1. Create a LaTeX source file, sample.tex, as listed below
2. Do "latex sample.tex"
3. Do "latex2html sample.tex"
  
Actual results:
Observe the above perl warnings in latex2html logging output.

Expected results:
Should not be any warnings from perl.

Additional info:
Here is a sample.tex that shows the problem.  In this case the html is in fact generated.  I attach a typescript showing the logging output from latex and latex2html.

\documentclass{article}
\begin{document}
Hello, world!
\end{document}

--- Additional comment from endoflife@fedoraproject.org on 2012-08-16 09:34:51 EDT ---

This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from moniot@fordham.edu on 2012-08-16 11:54:38 EDT ---

This bug is still present in Fedora 17, latex2html-2008-6.fc17.noarch
Comment 1 Jan Zeleny 2012-08-17 02:26:59 EDT
*** Bug 672083 has been marked as a duplicate of this bug. ***
Comment 2 Dan Gildea 2012-11-21 08:36:30 EST
perl warnings are fixed in updated version on ctan:

http://mirrors.ctan.org/support/latex2html/latex2html-2012.tgz
Comment 3 Jindrich Novy 2012-11-21 09:44:51 EST
Thanks for heads-up. latex2html is now updated to 2012.

Note You need to log in before you can comment on or make changes to this bug.